### Method

# GModule Module symbol

#### Declaration [src]

    gboolean
    g_module_symbol (
      GModule* module,
      const gchar* symbol_name,
      gpointer* symbol
    )

#### Description [src]

Gets a symbol pointer from a module, such as one exported by `G_MODULE_EXPORT`. Note that a valid symbol can be `NULL`.

#### Parameters

`symbol_name`

  Type: `const gchar*`

  The name of the symbol to find.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`symbol`

  Type: `gpointer*`

  Returns the pointer to the symbol value.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

#### Return value

Type: `gboolean`

`TRUE` on success.